Hello community,

here is the log from the commit of package libpeas for openSUSE:Factory
checked in at Fri Sep 9 11:43:30 CEST 2011.



--------
--- libpeas/libpeas.changes     2011-08-08 17:36:26.000000000 +0200
+++ /mounts/work_src_done/STABLE/libpeas/libpeas.changes        2011-09-02 
18:35:36.000000000 +0200
@@ -1,0 +2,22 @@
+Fri Sep  2 16:30:18 UTC 2011 - vu...@opensuse.org
+
+- Update to version 1.1.3:
+  + Do not expose the PeasExtension API using GObject-Introspection
+  + Misc improvement and fixes.
+- Add Url tag.
+
+-------------------------------------------------------------------
+Mon Aug 22 10:46:32 CEST 2011 - dims...@opensuse.org
+
+- Update to version 1.1.2:
+  + Link against pygobject 3.
+  + Do not cast pointers to unsigned integers.
+  + Doc updates.
+  + Updated translations.
+- Replace pkgconfig(pygobject-2.0) BuildRequires with
+  pkgconfig(pygobject-3.0) following upstream change.
+- Drop libpeas-new-gjs.patch: fixed upstream.
+- Remove gnome-common BuildRequires and call to gnome-autogen.sh,
+  as those were only needed for libpeas-new-gjs.patch.
+
+-------------------------------------------------------------------

calling whatdependson for head-i586


Old:
----
  libpeas-1.1.1.tar.bz2
  libpeas-new-gjs.patch

New:
----
  libpeas-1.1.3.tar.bz2

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ libpeas.spec ++++++
--- /var/tmp/diff_new_pack.2s3ate/_old  2011-09-09 11:43:25.000000000 +0200
+++ /var/tmp/diff_new_pack.2s3ate/_new  2011-09-09 11:43:25.000000000 +0200
@@ -18,16 +18,13 @@
 
 
 Name:           libpeas
-Version:        1.1.1
-Release:        2
+Version:        1.1.3
+Release:        1
 License:        LGPLv2+
 Summary:        GObject-based Plugin Engine
+Url:            http://live.gnome.org/Libpeas
 Group:          System/Libraries
 Source:         
http://download.gnome.org/sources/libpeas/1.1/%{name}-%{version}.tar.bz2
-# PATCH-FIX-UPSTREAM libpeas-new-gjs.patch bgo#655475 vu...@opensuse.org -- 
Fix build with gjs 1.29.16
-Patch0:         libpeas-new-gjs.patch
-# Needed for patch0
-BuildRequires:  gnome-common
 BuildRequires:  intltool
 BuildRequires:  libseed-gtk3-devel
 BuildRequires:  python-devel
@@ -35,7 +32,7 @@
 BuildRequires:  pkgconfig(gobject-2.0) >= 2.23.6
 BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 0.10.1
 BuildRequires:  pkgconfig(gtk+-3.0) >= 2.91.1
-BuildRequires:  pkgconfig(pygobject-2.0) >= 2.28.0
+BuildRequires:  pkgconfig(pygobject-3.0) >= 2.90.0
 
 %description
 libpeas is a gobject-based plugin engine, and is targetted at giving
@@ -45,7 +42,7 @@
 License:        LGPLv2+
 Summary:        GObject-based Plugin Engine
 Group:          System/Libraries
-# We provide %{name} to make the lang package installable
+# We provide %%{name} to make the lang package installable
 Provides:       %{name} = %{version}
 Recommends:     %{name}-lang
 Recommends:     %{name}-loader-python
@@ -126,11 +123,8 @@
 %lang_package
 %prep
 %setup -q
-%patch0 -p1
 
 %build
-# Needed for patch0
-NOCONFIGURE=1 gnome-autogen.sh
 %configure
 make %{?_smp_flag} V=1
 

++++++ libpeas-1.1.1.tar.bz2 -> libpeas-1.1.3.tar.bz2 ++++++
++++ 25454 lines of diff (skipped)


++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++



Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org

Reply via email to